AgentConnect
External memory

List external-memory connections

List org connection metadata and secret field names. Secret values and daemon grants never return.

GET
/v1/orgs/{orgId}/external-memory-connections

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string

Response Body

application/json

curl -X GET "https://example.com/v1/orgs/string/external-memory-connections"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "installationId": "7a1bf939-4d70-4439-9ced-a3dbbce12bd7",    "config": {      "property1": null,      "property2": null    },    "secretKeys": [      "string"    ],    "status": "probing",    "revision": 1,    "probedRevision": 1,    "pluginVersion": "string",    "profile": "string",    "manifestDigest": "string",    "capabilities": {      "property1": null,      "property2": null    },    "configSchema": {      "property1": null,      "property2": null    },    "declaredEgressHosts": [      "string"    ],    "reasonCode": "string",    "createdBy": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }]